Timeline_ajax_url="timeline_ajax/simile-ajax-api.js";
Timeline_urlPrefix='timeline_js/';
Timeline_parameters='bundle=true';

var tl;
var currentEvent;
var eventSource;

function onLoad() {
	Timeline.OriginalEventPainter.prototype._showBubble = function(x, y, evt) {
		var eid = evt.getID();
		ssbcallback ("select", eid);
	};

	eventSource = new Timeline.DefaultEventSource();
	var bandInfos = [
									 Timeline.createBandInfo({
																					 eventSource:    eventSource,
																					 date:           new Date (),
																					 width:          "85%",
																					 intervalUnit:   Timeline.DateTime.HOUR,
																					 intervalPixels: 150
																					 }),
									 Timeline.createBandInfo({
																					 eventSource:    eventSource,
																					 date:           new Date (),
																					 width:          "15%",
																					 intervalUnit:   Timeline.DateTime.DAY,
																					 overview: true,
																					 intervalPixels: 200
																					 })
									 ];
	bandInfos[1].syncWith = 0;
	bandInfos[1].highlight = true;
	tl = Timeline.create (document.getElementById("my-timeline"), bandInfos, Timeline.HORIZONTAL);

	tl.showLoadingMessage = function () {};
	tl.hideLoadingMessage = function () {};
}

var resizeTimerID = null;

function onResize() {
	if (resizeTimerID == null) {
		resizeTimerID = window.setTimeout(function() {
			resizeTimerID = null;
			tl.layout();
			if (currentEvent) {
				var start = currentEvent.getStart();
				tl.getBand(0).setCenterVisibleDate(start);
			}
		}, 400);
	}
}

function showEvent (evtid) {
	currentEvent = tl.getBand(0).getEventSource().getEvent(evtid);
	var start = currentEvent.getStart();
	
	//tl.getBand(0).setCenterVisibleDate(start);
	tl.getBand(0).scrollToCenter(start);
	//tl.getBand(0).setCenterVisibleDate(Timeline.DateTime.parseGregorianDateTime("12/03/2012 11:20"));
}

function onssbmessage (cmd, val) {
	if (cmd == "updated") {
		update_list ();
	}
	else if (cmd == "selected") {
		showEvent (val);
	}
}

function update_list () {
	ssbevent_lock();
	tl.loadJSON ("ssb-json://localhost/allEntries.json", function(events, url) {
		var json = {
			'dateTimeFormat': 'Gregorian',
			'events': events
		};
		eventSource.clear();
		eventSource.loadJSON(json, url);
		ssbevent_unlock();
	});
}
